|                         | Tritrium H5 | Le Potato AML-S905X-CC | La Frite AML-S805X-AC | Renegade ROC-RK3328-CC  |
|:---:|:---:|:---:|:---:|:---:|
| Kernel SBC support [^1] | Passed      | Passed                 |                                | cant find root partition  |
| Vendor U-Boot      [^2] | Yes         | Yes                    | Yes                            |                           |
| Rocky U-Boot       [^3] | Not Tested  | Not Tested             |                                |                           |
| USB                [^4] | Passed      | Passed                 | Passed                         |                           |
| Video              [^5] | Passed      | Passed                 | Lost Video at kernel takeover  |                           |
| Wi-Fi              [^6] | N/A         | N/A                    | N/A                            |                           |
| Ethernet                | Passed      | Passed                 | Blinking Green LED             |                           |

[^1]: This is the kernel-mainline-sbc package that is currently being built/tested.
[^2]: Vendor U-Boot is sometimes used for initial testing until it is packaged by Rocky Linux. 
[^3]: This is the U-Boot tools package built by the Rock Linux project.
[^4]: USB ports should work both during boot and at the login prompt.
[^5]: HDMI should work both during boot and at login, where supported by upstream.
[^6]: Wi-Fi should be functional, where applicable (mostly Raspberry Pi's)


## Summary
The table above shows the results for intial testing of ```kernel-mainline-sbc```.  Both the Libre Le Potato and Libre Renegade will need additional testing while the Tritrium and the Le Potato are working great.  The other board tested was the Orange Pi 5.  It works great, however, we had to build a custom uboot package for it. (needs to be added to Rocky's uboot-tools package)  #### Last Edited 01/02/2024


